Bug 502544 - Crash in pulseaudio while playing last.fm stream in Amarok
Crash in pulseaudio while playing last.fm stream in Amarok
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xine-lib (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 23:26 EDT by Ben Boeckel
Modified: 2010-06-28 08:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-05-25 23:26:29 EDT
Description of problem:
Missing Qt and kdelibs debuginfo, but PA is where the crash happened...not sure how to replicate if the others end up being necessary.

Backtrace:

Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7f0cc8b92820 (LWP 16727))]

Thread 15 (Thread 0x7f0cb8b9e910 (LWP 16728)):
#0  0x0000003feda0b57d in pthread_cond_timedwait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ffd6135c1 in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#3  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f0cb6eac910 (LWP 16729)):
#0  0x0000003fed2d4f73 in poll () from /lib64/libc.so.6
#1  0x0000003fef63b6e2 in ?? () from /lib64/libglib-2.0.so.0
#2  0x0000003fef63ba5c in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#3  0x0000003ff7b680fe in
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib64/libQtCore.so.4
#4  0x0000003ff7b3df52 in
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/libQtCore.so.4
#5  0x0000003ff7b3e324 in
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/libQtCore.so.4
#6  0x0000003ff7a56fab in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007f0cbe619bde in Phonon::Xine::XineThread::run (this=0x9604e0) at
/usr/src/debug/phonon-4.3.1/xine/xinethread.cpp:143
#8  0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#10 0x0000003fed2de25d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f0cb64ab910 (LWP 16730)):
[KCrash Handler]
#5  0x0000003fed2332f5 in raise () from /lib64/libc.so.6
#6  0x0000003fed234b20 in abort () from /lib64/libc.so.6
#7  0x0000003fed275a50 in malloc_printerr () from /lib64/libc.so.6
#8  0x00007f0cb7d8aedb in pa_xfree (p=0x3ae2aa0) at pulse/xmalloc.c:131
#9  0x00007f0cb7b2278c in pa_packet_unref (p=0x3ae2aa0) at
pulsecore/packet.c:77
#10 0x00007f0cb7b297f4 in do_read (p=0x998dd0) at pulsecore/pstream.c:821
#11 0x00007f0cb7b26ded in do_something (p=0x998dd0) at pulsecore/pstream.c:184
#12 0x00007f0cb7b2700a in io_callback (io=0x99cd60, userdata=0x998dd0) at
pulsecore/pstream.c:213
#13 0x00007f0cb7b11210 in callback (m=0x99a678, e=0x998d70, fd=15,
f=PA_IO_EVENT_INPUT, userdata=0x99cd60) at pulsecore/iochannel.c:119
#14 0x00007f0cb7d717f5 in dispatch_pollfds (m=0x99a620) at pulse/mainloop.c:683
#15 0x00007f0cb7d72507 in pa_mainloop_dispatch (m=0x99a620) at
pulse/mainloop.c:896
#16 0x00007f0cb7d72688 in pa_mainloop_iterate (m=0x99a620, block=1, retval=0x0)
at pulse/mainloop.c:926
#17 0x00007f0cb7d726e6 in pa_mainloop_run (m=0x99a620, retval=0x0) at
pulse/mainloop.c:941
#18 0x00007f0cb7d84870 in thread (userdata=0x998380) at
pulse/thread-mainloop.c:90
#19 0x00007f0cb7b39c2b in internal_thread_func (userdata=0x98cfb0) at
pulsecore/thread-posix.c:72
#20 0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#21 0x0000003fed2de25d in clone () from /lib64/libc.so.6
#22 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f0cb1a67910 (LWP 16731)):
#0  0x0000003feda0d934 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003feda08fe5 in _L_lock_949 () from /lib64/libpthread.so.0
#2  0x0000003feda08e08 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003ffd623d98 in ?? () from /usr/lib64/libxine.so.1
#4  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#5  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f0cafa8d910 (LWP 16734)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ff7a5adcb in QWaitCondition::wait(QMutex*, unsigned long) () from
/usr/lib64/libQtCore.so.4
#2  0x00007f0cca112af6 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f0cca114c33 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f0cca11322f in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f0cca113688 in ThreadWeaver::Thread::run() () from
/usr/lib64/libthreadweaver.so.4
#10 0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#11 0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#12 0x0000003fed2de25d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f0caa3e5910 (LWP 16735)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ff7a5adcb in QWaitCondition::wait(QMutex*, unsigned long) () from
/usr/lib64/libQtCore.so.4
#2  0x00007f0cca112af6 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f0cca114c33 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0cca11322f in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0cca113688 in ThreadWeaver::Thread::run() () from
/usr/lib64/libthreadweaver.so.4
#6  0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#7  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#8  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f0ca99e4910 (LWP 16736)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ff7a5adcb in QWaitCondition::wait(QMutex*, unsigned long) () from
/usr/lib64/libQtCore.so.4
#2  0x00007f0cca112af6 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f0cca114c33 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f0cca11322f in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f0cca113688 in ThreadWeaver::Thread::run() () from
/usr/lib64/libthreadweaver.so.4
#9  0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#10 0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#11 0x0000003fed2de25d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f0ca8b06910 (LWP 16742)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ff7a5adcb in QWaitCondition::wait(QMutex*, unsigned long) () from
/usr/lib64/libQtCore.so.4
#2  0x00007f0cca112af6 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f0cca114c33 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f0cca114c4c in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f0cca11322f in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f0cca113688 in ThreadWeaver::Thread::run() () from
/usr/lib64/libthreadweaver.so.4
#7  0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#8  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#9  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f0c9a18b910 (LWP 16748)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ff7a5adcb in QWaitCondition::wait(QMutex*, unsigned long) () from
/usr/lib64/libQtCore.so.4
#2  0x0000003ff8c82bdc in ?? () from /usr/lib64/libQtNetwork.so.4
#3  0x0000003ff7a59d21 in ?? () from /usr/lib64/libQtCore.so.4
#4  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#5  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f0c99166910 (LWP 16751)):
#0  0x0000003fed2d6fa2 in select () from /lib64/libc.so.6
#1  0x0000003ffd63ba85 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x0000003ffd6215a4 in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0c9837c910 (LWP 16752)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ffd616f0b in ?? () from /usr/lib64/libxine.so.1
#2  0x0000003ffd61cf0d in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0c977ae910 (LWP 16753)):
#0  0x0000003feda1008d in __pthread_mutex_cond_lock_full () from
/lib64/libpthread.so.0
#1  0x0000003feda0b394 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#2  0x00007f0cb7b397e1 in pa_cond_wait (c=0x998460, m=0x998400) at
pulsecore/mutex-posix.c:139
#3  0x00007f0cb7d851c0 in pa_threaded_mainloop_wait (m=0x998380) at
pulse/thread-mainloop.c:201
#4  0x00007f0cb7f9bd86 in pa_stream_flush () at pulse/stream.c:1982
#5  0x00007f0cb7f9be58 in pa_stream_flush () at pulse/stream.c:1982
#6  0x0000003ffd622860 in ?? () from /usr/lib64/libxine.so.1
#7  0x0000003ffd62532b in ?? () from /usr/lib64/libxine.so.1
#8  0x0000003ffd60dcfb in ?? () from /usr/lib64/libxine.so.1
#9  0x0000003ffd60fa30 in _x_set_fine_speed () from /usr/lib64/libxine.so.1
#10 0x00007f0cbddcb81f in fflush () from
/usr/lib64/xine/plugins/1.26/xineplug_inp_http.so
#11 0x0000003ffd616f48 in ?? () from /usr/lib64/libxine.so.1
#12 0x0000003ffd61df8d in ?? () from /usr/lib64/libxine.so.1
#13 0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#14 0x0000003fed2de25d in clone () from /lib64/libc.so.6
#15 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f0c96dad910 (LWP 16754)):
#0  0x0000003feda0b2f9 in pthread_cond_wait@@GLIBC_2.3.2 () from
/lib64/libpthread.so.0
#1  0x0000003ffd6275bb in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x0000003ffd62762e in ?? () from /usr/lib64/libxine.so.1
#3  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#4  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0c90a84910 (LWP 17457)):
#0  0x0000003feda0d934 in __lll_lock_wait () from /lib64/libpthread.so.0
#1  0x0000003feda08fe5 in _L_lock_949 () from /lib64/libpthread.so.0
#2  0x0000003feda08e08 in pthread_mutex_lock () from /lib64/libpthread.so.0
#3  0x0000003ffd6168da in ?? () from /usr/lib64/libxine.so.1
#4  0x00007f0c929ab660 in _x_stream_info_set () from
/usr/lib64/xine/plugins/1.26/xineplug_dmx_audio.so
#5  0x00007f0c929abcbd in _x_stream_info_set () from
/usr/lib64/xine/plugins/1.26/xineplug_dmx_audio.so
#6  0x0000003ffd62b995 in ?? () from /usr/lib64/libxine.so.1
#7  0x0000003feda0686a in start_thread () from /lib64/libpthread.so.0
#8  0x0000003fed2de25d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0cc8b92820 (LWP 16727)):
#0  0x0000003fed2d4f73 in poll () from /lib64/libc.so.6
#1  0x0000003ff02087da in ?? () from /usr/lib64/libxcb.so.1
#2  0x0000003ff0208d27 in ?? () from /usr/lib64/libxcb.so.1
#3  0x0000003ff0208fd5 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x0000003ff0a4ce9c in _XSend () from /usr/lib64/libX11.so.6
#5  0x0000003ff0a4d3d1 in _XEventsQueued () from /usr/lib64/libX11.so.6
#6  0x0000003ff0a35e93 in XEventsQueued () from /usr/lib64/libX11.so.6
#7  0x0000003ff9c21857 in ?? () from /usr/lib64/libQtGui.so.4
#8  0x0000003fef63b0ea in g_main_context_prepare () from
/lib64/libglib-2.0.so.0
#9  0x0000003fef63b4e8 in ?? () from /lib64/libglib-2.0.so.0
#10 0x0000003fef63ba5c in g_main_context_iteration () from
/lib64/libglib-2.0.so.0
#11 0x0000003ff7b680a6 in
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib64/libQtCore.so.4
#12 0x0000003ff9c2162e in ?? () from /usr/lib64/libQtGui.so.4
#13 0x0000003ff7b3df52 in
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/libQtCore.so.4
#14 0x0000003ff7b3e324 in
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/libQtCore.so.4
#15 0x0000003ff7b403c9 in QCoreApplication::exec() () from
/usr/lib64/libQtCore.so.4
#16 0x0000000000403f96 in main (argc=1, argv=0x7fffd3bda7b8) at
/usr/src/debug/amarok-2.0.96/src/main.cpp:128


Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-11.fc11.x86_64
Comment 1 Bug Zapper 2009-06-09 12:32:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2009-06-29 08:21:36 EDT
Looks like some xine borkage to me.
Comment 3 Rex Dieter 2009-06-30 08:57:54 EDT
ok, triaging -> xine-lib
Comment 4 Bug Zapper 2010-04-27 10:31:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:42:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.